summaryrefslogtreecommitdiffstats
path: root/scripts/bash/restic_run
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/bash/restic_run')
-rw-r--r--scripts/bash/restic_run16
1 files changed, 16 insertions, 0 deletions
diff --git a/scripts/bash/restic_run b/scripts/bash/restic_run
new file mode 100644
index 0000000..0b60c40
--- /dev/null
+++ b/scripts/bash/restic_run
@@ -0,0 +1,16 @@
+#!/bin/bash
+#/usr/bin/echo Executing Restic S3 Backup for $(hostname -f)
+export RESTIC_REPOSITORY="s3:https://$S3HOST/$S3BUCKET"
+export RESTIC_PASSWORD_FILE="/etc/restic/.sec"
+export AWS_ACCESS_KEY_ID="$S301"
+export AWS_SECRET_ACCESS_KEY="$S302"
+export RESTIC_CACHE_DIR="/opt/restic/cache"
+EXCLUDE=".restic.excludes"
+/usr/bin/restic --verbose backup --exclude-file="/etc/$EXCLUDE" /etc
+echo "EXIT $?"
+/usr/bin/restic --verbose backup --exclude-file="/home/$EXCLUDE" /home
+echo "EXIT $?"
+/usr/bin/restic --verbose backup --exclude-file="/opt/$EXCLUDE" /opt
+echo "EXIT $?"
+/usr/bin/restic --verbose backup --exclude-file="/srv/$EXCLUDE" /srv
+echo "EXIT $?"